<?php

class ControllerModuleaviseme extends Controller {

    private $error = array();

    public function index() {
        $this->load->language('module/avise_me');

        $this->document->setTitle($this->language->get('heading_title_doc'));

        $this->load->model('setting/setting');

        if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
            $this->model_setting_setting->editSetting('aviseme', $this->request->post);
			
            
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
        }

        $this->data['token'] = $this->session->data['token'];
        $this->data['cancel'] = $this->url->link('index', 'token=' . $this->session->data['token'], 'SSL');

        // declaração das variaveis, pegando o nome expresso na linguagem
        $this->data['button_save']      	 		   = $this->language->get('button_save');
        $this->data['button_cancel']  		 		   = $this->language->get('button_cancel');
        $this->data['heading_title']  		 		   = $this->language->get('heading_title');
        
		$this->data['text_aviseme_status']     		   = $this->language->get('text_aviseme_status');
		$this->data['text_aviseme_status_habilitado']    = $this->language->get('text_aviseme_status_habilitado');
		$this->data['text_aviseme_status_desabilitado']  = $this->language->get('text_aviseme_status_desabilitado');
		
		
        //ate aqui
        
        if (isset($this->error['warning'])) {
            $this->data['error_warning'] = $this->error['warning'];
        } else {
            $this->data['error_warning'] = '';
        }
        
        if (isset($this->session->data['success'])) {
    	    $this->data['success'] = $this->session->data['success'];
            unset($this->session->data['success']);
	    } else {
	        $this->data['success'] = '';
	    }
        
		
						
		if (isset($this->request->post['futura_aviseme_status'])) {
            $this->data['futura_aviseme_status']= $this->request->post['futura_aviseme_status'];
        }elseif($this->config->get('futura_aviseme_status')) {
            $this->data['futura_aviseme_status']= $this->config->get('futura_aviseme_status');
		}else{
		    $this->data['futura_aviseme_status']=$this->data['text_aviseme_status_desabilitado'] ;
		}
			
		
        $this->data['breadcrumbs'] = array();
        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_home'),
            'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_avise'),
            'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['breadcrumbs'][] = array(
            'text' => $this->language->get('heading_title'),
            'href' => $this->url->link('module/avise_me', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        $this->data['action'] = $this->url->link('module/avise_me', 'token=' . $this->session->data['token'], 'SSL');
        $this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');

        // chama a view
        $this->template = 'module/avise_me.tpl';
        $this->children = array(
            'common/header',
            'common/footer',
        );

        $this->response->setOutput($this->render());
    }

    private function validate() {
        if (!$this->user->hasPermission('modify', 'module/avise_me')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }

        if (!$this->error) {
            return true;
        } else {
            return false;
        }
    }
	
	public function install() {
        $this->load->model('catalog/avise_me');
        $this->model_catalog_avise_me->install();
    }

    public function uninstall() {
	    $this->load->model('setting/setting');
		$this->model_setting_setting->editSetting('aviseme', '');
        $this->load->model('catalog/avise_me');
        $this->model_catalog_avise_me->uninstall();
    }	
	

	

  }
?>



